<?php
/* DefaultProfiles Test cases generated on: 2011-01-05 16:01:01 : 1294212781*/
App::import('Controller', 'DefaultProfiles');

class TestDefaultProfilesController extends DefaultProfilesController {
	var $autoRender = false;

	function redirect($url, $status = null, $exit = true) {
		$this->redirectUrl = $url;
	}
}

class DefaultProfilesControllerTestCase extends CakeTestCase {
	var $fixtures = array('app.default_profile', 'app.profile', 'app.system', 'app.character', 'app.user', 'app.group', 'app.attachment_ex', 'app.character_sheet', 'app.character_picture', 'app.characters_has_profile', 'app.profile_select', 'app.profile_table', 'app.profile_table_static', 'app.character_profile_archive');

	function startTest() {
		$this->DefaultProfiles =& new TestDefaultProfilesController();
		$this->DefaultProfiles->constructClasses();
	}

	function endTest() {
		unset($this->DefaultProfiles);
		ClassRegistry::flush();
	}

	function testIndex() {

	}

	function testView() {

	}

	function testAdd() {

	}

	function testEdit() {

	}

	function testDelete() {

	}

	function testAdminIndex() {

	}

	function testAdminView() {

	}

	function testAdminAdd() {

	}

	function testAdminEdit() {

	}

	function testAdminDelete() {

	}

}
?>